; ############  DIRECTOR AND EVENT CHANGES  ###########
; =====================================================
; ==          DIRECTOR & EVENT MODIFICATION          ==
; ==       Modify director behaviour and events      ==
; =====================================================


; ################  ITEM SPAWN CHANGES  ###############
; =====================================================
; ==           PILL / ITEM / WEAPON SPAWNS           ==
; ==   Remove or change pill, item & weapon spawns   ==
; =====================================================
; --- Ensure each gun type is in the saferoom
modify:
{
	match:
	{
		"hammerid" "1833737"
	}
	replace:
	{
		"weapon_selection" "any_smg"
	}
}

; =====================================================
; ==                STATIC AMMO PILES                ==
; ==          Add or modify ammo pile spawns         ==
; =====================================================
add:
; --- Ammo pile by the cloth covered boxes
{
	"classname" "weapon_ammo_spawn"
	"origin" "-1833 2944 -256"
	"angles" "0 270 0"
	"model" "models/props/terror/ammo_stack.mdl"
	"solid" "6"
	"disableshadows" "1"
	"spawnflags" "2"
}

; =====================================================
; ==                 HITTABLE CHANGES                ==
; ==           Add/remove/modify hittables           ==
; =====================================================
; --- Move the forklift behind the fence to make it harder to get in the saferoom area
modify:
{
	match:
	{
		"hammerid" "2383226"
	}
	replace:
	{
		"origin" "-3699 3594 -254"
	}
}


; #############  MAP CLIPPING AND ISSUES  #############
; =====================================================
; ==                 EXPLOITS BLOCKED                ==
; ==      Block intentionally performed exploits     ==
; =====================================================
add:
; --- Block tops of tents before finale area
{
	"classname" "env_physics_blocker"
	"origin" "-1952 1826 -16"
	"angles" "0 2.5 0"
	"mins" "-65 -68 -104"
	"maxs" "65 68 104"
	"boxmins" "-65 -68 -104"
	"boxmaxs" "65 68 104"
	"initialstate" "1"
	"BlockType" "1"
}
{
	"classname" "env_physics_blocker"
	"origin" "-2100 1824 -16"
	"angles" "0 358.5 0"
	"mins" "-65 -65 -104"
	"maxs" "65 65 104"
	"boxmins" "-65 -65 -104"
	"boxmaxs" "65 65 104"
	"initialstate" "1"
	"BlockType" "1"
}
{
	"classname" "env_physics_blocker"
	"origin" "-2512 2080 -16"
	"angles" "0 341 0"
	"mins" "-65 -65 -104"
	"maxs" "65 65 104"
	"boxmins" "-65 -65 -104"
	"boxmaxs" "65 65 104"
	"initialstate" "1"
	"BlockType" "1"
}
{
	"classname" "env_physics_blocker"
	"origin" "-2752 2064 -16"
	"angles" "0 2.5 0"
	"mins" "-65 -65 -104"
	"maxs" "65 65 104"
	"boxmins" "-65 -65 -104"
	"boxmaxs" "65 65 104"
	"initialstate" "1"
	"BlockType" "1"
}
; --- Block standing on awnings before finale area
{
	"classname" "env_physics_blocker"
	"origin" "-1960 2269 -64"
	"mins" "-201 -3.5 -40"
	"maxs" "201 3.5 40"
	"initialstate" "1"
	"BlockType" "1"
}
; --- Block food cart before finale area
{
	"classname" "env_physics_blocker"
	"origin" "-4096 3263 -11"
	"angles" "0 2.5 0"
	"mins" "-108 -53 -99"
	"maxs" "108 53 99"
	"boxmins" "-108 -53 -99"
	"boxmaxs" "108 53 99"
	"initialstate" "1"
	"BlockType" "1"
}
; --- Block tops of vending machines
{
	"classname" "env_physics_blocker"
	"origin" "-2780 1765 336"
	"mins" "-50 -22 -104"
	"maxs" "50 22 104"
	"initialstate" "1"
	"BlockType" "1"
}
{
	"classname" "env_physics_blocker"
	"origin" "-1823 1766 336"
	"mins" "-74 -22 -104"
	"maxs" "74 22 104"
	"initialstate" "1"
	"BlockType" "1"
}
; --- Block standing on the tent on the stage
{
	"classname" "env_physics_blocker"
	"origin" "-1934 3356 100"
	"mins" "-2 -64 -188"
	"maxs" "2 64 188"
	"initialstate" "1"
	"BlockType" "1"
}

; =====================================================
; ==                  OUT OF BOUNDS                  ==
; ==  Block players getting outside / under the map  ==
; =====================================================

; =====================================================
; ==                   STUCK SPOTS                   ==
; ==  Prevent players from getting stuck in the map  ==
; =====================================================

; =====================================================
; ==                 NUISANCE CHANGES                ==
; ==      Clipping improvements, QOL map changes     ==
; =====================================================
add:
; --- Fix LOS under snack machines
{
	"classname" "logic_auto"
	"OnMapSpawn" "losfix_snacks_smitty,AddOutput,mins -22 -1 -6,0,-1"
	"OnMapSpawn" "losfix_snacks_smitty,AddOutput,maxs 22 1 6,0,-1"
	"OnMapSpawn" "losfix_snacks_smitty,AddOutput,solid 2,0,-1"
	"OnMapSpawn" "losfix_snacks_jake,AddOutput,mins -46 -1 -6,0,-1"
	"OnMapSpawn" "losfix_snacks_jake,AddOutput,maxs 46 1 6,0,-1"
	"OnMapSpawn" "losfix_snacks_jake,AddOutput,solid 2,0,-1"
}
{
	"classname" "func_brush"
	"origin" "-2804 1779 134"
	"targetname" "losfix_snacks_smitty"
}
{
	"classname" "func_brush"
	"origin" "-1800 1777 134"
	"targetname" "losfix_snacks_jake"
}


; ###########  ADDITIONAL PROPS AND SPAWNS  ###########
; =====================================================
; ==                      PROPS                      ==
; ==       New props for balance and SI spawns       ==
; =====================================================
; --- Fix props disappearing by toggling shadows on map start / round change
add:
{
	"classname" "logic_auto"
	"OnMapSpawn" "_props_shadow_fix,EnableShadow,,30,-1"
	"OnMapSpawn" "_props_shadow_fix,DisableShadow,,31,-1"
	; --- Props added by TLS
	"OnMapSpawn" "anv_mapfixes_helistuck_caseunique,EnableShadow,,30,-1"
	"OnMapSpawn" "anv_mapfixes_helistuck_caseunique,DisableShadow,,31,-1"
	"OnMapSpawn" "anv_mapfixes_helistuck_casecaster,EnableShadow,,30,-1"
	"OnMapSpawn" "anv_mapfixes_helistuck_casecaster,DisableShadow,,31,-1"
	"OnMapSpawn" "anv_mapfixes_missing_staircase,EnableShadow,,30,-1"
	"OnMapSpawn" "anv_mapfixes_missing_staircase,DisableShadow,,31,-1"
	"OnMapSpawn" "anv_mapfixes_yesdraw_infecteddoorway,EnableShadow,,30,-1"
	"OnMapSpawn" "anv_mapfixes_yesdraw_infecteddoorway,DisableShadow,,31,-1"
	"OnMapSpawn" "anv_mapfixes_yesdraw_infectedroom,EnableShadow,,30,-1"
	"OnMapSpawn" "anv_mapfixes_yesdraw_infectedroom,DisableShadow,,31,-1"
	; --- Disable shadows early on props added that start with shadows enabled to ensure the fix works
	"OnMapSpawn" "anv_mapfixes_yesdraw_infecteddoorway,DisableShadow,,29,-1"
	"OnMapSpawn" "anv_mapfixes_yesdraw_infectedroom,DisableShadow,,29,-1"
	
}
; --- Additional toggle on finale start
modify:
{
	match:
	{
		"targetname" "stage_escape_button"
	}
	insert:
	{
		"FinaleStart" "_props_shadow_fix,EnableShadow,,0,-1"
		"FinaleStart" "_props_shadow_fix,DisableShadow,,1,-1"
		; --- Props added by TLS
		"FinaleStart" "anv_mapfixes_helistuck_caseunique,EnableShadow,,1,-1"
		"FinaleStart" "anv_mapfixes_helistuck_caseunique,DisableShadow,,2,-1"
		"FinaleStart" "anv_mapfixes_helistuck_casecaster,EnableShadow,,1,-1"
		"FinaleStart" "anv_mapfixes_helistuck_casecaster,DisableShadow,,2,-1"
		"FinaleStart" "anv_mapfixes_missing_staircase,EnableShadow,,1,-1"
		"FinaleStart" "anv_mapfixes_missing_staircase,DisableShadow,,2,-1"
		"FinaleStart" "anv_mapfixes_yesdraw_infecteddoorway,EnableShadow,,1,-1"
		"FinaleStart" "anv_mapfixes_yesdraw_infecteddoorway,DisableShadow,,2,-1"
		"FinaleStart" "anv_mapfixes_yesdraw_infectedroom,EnableShadow,,1,-1"
		"FinaleStart" "anv_mapfixes_yesdraw_infectedroom,DisableShadow,,2,-1"
		; --- Disable shadows early on props added that start with shadows enabled to ensure the fix works
		"FinaleStart" "anv_mapfixes_yesdraw_infecteddoorway,DisableShadow,,0,-1"
		"FinaleStart" "anv_mapfixes_yesdraw_infectedroom,DisableShadow,,0,-1"
	}
}
add:
; --- Trash bags to help infected get on tents outside saferoom
{
	"classname" "prop_dynamic"
	"origin" "-2226 1760 -250"
	"angles" "0 90 0"
	"model" "models/props_junk/trashcluster01a.mdl"
	"solid" "6"
	"disableshadows" "1"
	"targetname" "_props_shadow_fix"
}
; --- Clipping on trash bags
{
	"classname" "env_physics_blocker"
	"origin" "-2230 1761 -243"
	"mins" "-44 -17 -13"
	"maxs" "44 17 13"
	"initialstate" "1"
	"BlockType" "0"
}
{
	"classname" "env_physics_blocker"
	"origin" "-2236 1758 -224"
	"mins" "-30 -14 -6"
	"maxs" "30 14 6"
	"initialstate" "1"
	"BlockType" "0"
}
{
	"classname" "env_physics_blocker"
	"origin" "-2236 1752 -212"
	"mins" "-19 -8 -6"
	"maxs" "19 8 6"
	"initialstate" "1"
	"BlockType" "0"
}
; --- Fences to make getting hittables inside the saferoom area harder
{
	"classname" "prop_dynamic"
	"origin" "-3786 2955 -256"
	"angles" "0 258 0"
	"model" "models/props_fortifications/police_barrier001_128_reference.mdl"
	"solid" "6"
	"disableshadows" "1"
	"targetname" "_props_shadow_fix"
	"skin" "1"
}
{
	"classname" "prop_dynamic"
	"origin" "-3995 2900 -256"
	"angles" "0 291 0"
	"model" "models/props_fortifications/police_barrier001_128_reference.mdl"
	"solid" "6"
	"disableshadows" "1"
	"targetname" "_props_shadow_fix"
	"skin" "1"
}
; --- Vending machines by restrooms, covering garbage cans
; --- Smitty's Side
{
	"classname" "prop_dynamic"
	"origin" "-2594 1930 128"
	"angles" "0 270 0"
	"model" "models/props_office/vending_machine01.mdl"
	"solid" "6"
	"disableshadows" "1"
	"targetname" "_props_shadow_fix"
}
; --- Clipping for survivors on top
{
	"classname" "env_physics_blocker"
	"origin" "-2581 1927 336"
	"mins" "-21 -25 -104"
	"maxs" "21 25 104"
	"initialstate" "1"
	"BlockType" "1"
}
; --- Clipping to stop players getting stuck on vending machine
{
	"classname" "env_physics_blocker"
	"origin" "-2578 1951 170"
	"mins" "-19 -1 -42"
	"maxs" "19 1 42"
	"initialstate" "1"
	"BlockType" "0"
}
; --- Jake's Side
{
	"classname" "prop_dynamic"
	"origin" "-2014 1898 128"
	"angles" "0 90 0"
	"model" "models/props_office/vending_machine01.mdl"
	"solid" "6"
	"disableshadows" "1"
	"targetname" "_props_shadow_fix"
}
; --- Clipping for survivors on top
{
	"classname" "env_physics_blocker"
	"origin" "-2027 1900 336"
	"mins" "-21 -25 -104"
	"maxs" "21 25 104"
	"initialstate" "1"
	"BlockType" "1"
}
; --- Anvil cases on the scaffolding on Smitty's side
{
	"classname" "prop_dynamic"
	"origin" "-2738 2406 80"
	"angles" "0 180 0"
	"model" "models/props_fairgrounds/anvil_case_32.mdl"
	"solid" "6"
	"disableshadows" "1"
	"targetname" "_props_shadow_fix"
}
{
	"classname" "prop_dynamic"
	"origin" "-2738 2406 112"
	"angles" "0 180 0"
	"model" "models/props_fairgrounds/anvil_case_32.mdl"
	"solid" "6"
	"disableshadows" "1"
	"targetname" "_props_shadow_fix"
}
; --- Leaning plywood by the seating scaffolding on Jake's Side
{
	"classname" "prop_dynamic"
	"origin" "-1961 2309 0"
	"angles" "0 270 0"
	"model" "models/props_industrial/plywood_leaning.mdl"
	"solid" "6"
	"disableshadows" "1"
	"targetname" "_props_shadow_fix"
}

; =====================================================
; ==             LADDER / ELEVATOR NERF              ==
; ==   Nerf ladder & elevator attacks for infected   ==
; =====================================================


; ############  MAP SOUND AND GFX CHANGES  ############
; =====================================================
; ==                  SOUND REMOVAL                  ==
; ==    Remove or adjust sounds played by the map    ==
; =====================================================
filter:
; --- Remove the fireworks sounds
{
	"targetname" "stage_fireworks_explode_sound"
}
{
	"targetname" "stage_fireworks_left_sound"
}
{
	"targetname" "stage_fireworks_right_sound"
}
; --- Remove rescue helicopter sounds
{
	"targetname" "chopper_left_sound"
}
{
	"targetname" "chopper_right_sound"
}

; =====================================================
; ==             GFX / PARTICLES REMOVAL             ==
; ==        Remove visual effects from the map       ==
; =====================================================
; --- Stop fireworks from firing forever during 2nd tank
modify:
{
	match:
	{
		"targetname" "fireworks_relay"
	}
	delete:
	{
		"OnTrigger" "fireworks_relayTrigger3.1-1"
	}
}


; ###############  TRIGGERS AND BRUSHES  ##############
; =====================================================
; ==                   CLIP REMOVAL                  ==
; ==      Remove miscellaneous clips and brushes     ==
; =====================================================
; --- Remove TLS infected clips after loading
add:
{
	"classname" "logic_auto"
	; --- Remove axis warp and clip under the seating area
	"OnMapSpawn" "anv_mapfixes_axiswarp_anvilcase_trigmult,Kill,,30,-1"
	"OnMapSpawn" "anv_mapfixes_axiswarp_anvilcase_clip,Kill,,30,-1"
	; --- Remove axis warps and clips by fire escapes
	"OnMapSpawn" "anv_mapfixes_axiswarp_sodapop1_trigmult,Kill,,30,-1"
	"OnMapSpawn" "anv_mapfixes_axiswarp_sodapop1_clip,Kill,,30,-1"
	"OnMapSpawn" "anv_mapfixes_axiswarp_sodapop2_trigmult,Kill,,30,-1"
	"OnMapSpawn" "anv_mapfixes_axiswarp_sodapop2_clip,Kill,,30,-1"
}

; =====================================================
; ==              TRIGGER REMOVAL / FIX              ==
; ==    Fix triggers that interfere with gameplay    ==
; =====================================================


; #############  LADDER CHANGES AND FIXES  ############
; =====================================================
; ==             LADDER ADDITIONS / FIXES            ==
; ==              Add or change ladders              ==
; =====================================================
add:
; --- Ladders on the sides of the stage
{
	"classname" "func_simpleladder"
	"origin" "-6895.5 5999 -440"
	"angles" "0 180 0"
	"model" "*102"
	"normal.x" "-1.00"
	"normal.y" "0.00"
	"normal.z" "0.00"
	"team" "2"
}
{
	"classname" "func_simpleladder"
	"origin" "2287.5 683 -440"
	"angles" "0 0 0"
	"model" "*102"
	"normal.x" "1.00"
	"normal.y" "0.00"
	"normal.z" "0.00"
	"team" "2"
}
; --- Ladder into the room next to the stage
{
	"classname" "func_simpleladder"
	"origin" "528 -2 -112"
	"angles" "0 0 0"
	"model" "*98"
	"normal.x" "0.00"
	"normal.y" "-1.00"
	"normal.z" "0.00"
	"team" "2"
}
; --- Pipe prop for ladder
{
	"classname" "prop_dynamic"
	"origin" "-3200 3712 -48"
	"angles" "0 0 0"
	"model" "models/props_rooftop/gutter_pipe_256.mdl"
	"solid" "0"
	"disableshadows" "1"
	"targetname" "_props_shadow_fix"
}
; --- Ladder on other side of truck by the forklift
{
	"classname" "func_simpleladder"
	"origin" "-2652 7131 -3"
	"angles" "0 180 0"
	"model" "*46"
	"normal.x" "-1.00"
	"normal.y" "0.00"
	"normal.z" "0.00"
	"team" "2"
}
; --- Ladder into room under the seating area
{
	"classname" "func_simpleladder"
	"origin" "383 6547.5 -453"
	"angles" "0 90 0"
	"model" "*102"
	"normal.x" "0.00"
	"normal.y" "1.00"
	"normal.z" "0.00"
	"team" "2"
}


; #######  MISCELLANEOUS / MAP SPECIFIC CHANGES  ######
; =====================================================
; ==                   BLANK HEADER                  ==
; ==                Blank description                ==
; =====================================================
